# List all subscription item period summaries For the specified subscription item, returns a list of summary objects. Each object in the list provides usage information that’s been summarized from multiple usage records and over a subscription billing period (e.g., 15 usage records in the month of September). The list is sorted in reverse-chronological order (newest first). The first list item represents the most current usage period that hasn’t ended yet. Since new usage records can still be added, the returned summary information for the subscription item’s ID should be seen as unstable until the subscription billing period ends. ## Returns A dictionary with a `data` property that contains an array of up to `limit` summaries, starting after summary `starting_after`. Each entry in the array is a separate summary object. If no more summaries are available, the resulting array is empty. ## Parameters - `ending_before` (string, optional) A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list. - `limit` (integer, optional) A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. - `starting_after` (string, optional) A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list. ```curl curl -G https://api.stripe.com/v1/subscription_items/{{SUBSCRIPTION_ITEM_ID}}/usage_record_summaries \ -u "<>" \ -d limit=3 ``` ### Response ```json { "object": "list", "url": "/v1/subscription_items/si_E9xjsAhGRXCCWe/usage_record_summaries", "has_more": false, "data": [ { "object": "list", "url": "/v1/subscription_items/si_E9xjsAhGRXCCWe/usage_record_summaries", "has_more": false, "data": [ { "id": "sis_1Bnyrd2eZvKYlo2CuVcUbXln", "object": "usage_record_summary", "invoice": "in_1Bnyrd2eZvKYlo2CSV57GLV8", "livemode": false, "period": { "end": 0, "start": null }, "subscription_item": "si_18UXa82eZvKYlo2CbYoIEZVv", "total_usage": 1 } ] } ] } ```